% http://www.idsc.ethz.ch/education/theses-semester-projects.html
% IDSC LaTeX Thesis Template
% 
% Author(s):	Eric Müller
% 				Institute for Dynamic Systems and Control
% 				Swiss Federal Institute of Technology (ETH) Zurich
% 
% Created:		2004/04/02  (Eric Mueller)
% 
% Notes: Has been tested on Windows 7 + MikTeX + TeXnicCenter
%
% Revisions: 	2009/05/29  (Soren Ebbesen)
% 				    2011/03/22	(Soren Ebbesen)
%             2013/03/08	(Soren Ebbesen)
%             2014/03/13	(Soren Ebbesen)
% ______________________________________________________________________________
\documentclass[10pt,twoside,a4paper,fleqn]{report}


\usepackage[english,bt]{ethidsc} % Special IDSC styles and commands      	
								 % {german}/english: language of headings, etc.
								 % {st}/bt/mt: {semester}/bachelor/master thesis

\usepackage[table,xcdraw]{xcolor}
\usepackage{subcaption}
\usepackage{pgfplots}
\usepackage{cprotect}
\usepackage{booktabs}
\usepackage{lscape}
\usepackage{verbatim}
\usepackage{multirow}

\newcommand{\bigcell}[2]{\begin{tabular}{@{}#1@{}}#2\end{tabular}}
							
% Page header (don't change)____________________________________________________
\setlength{\parindent}{0em}                 % Disable parindent
\rhead[\nouppercase{\rightmark}]{\thepage}  % Special headings
\lhead[\thepage]{\nouppercase{\leftmark}}   % Special headings
\cfoot{}                                    % Special headings


%Listing styles
\lstdefinestyle{BashInputStyle}{
  language=bash,
  basicstyle=\small\sffamily,
  numbers=left,
  numberstyle=\tiny,
  numbersep=3pt,
  frame=tb,
  columns=fullflexible,
  backgroundcolor=\color{black!5},
  linewidth=0.9\linewidth,
  xleftmargin=0.1\linewidth
}

\lstset
{
    breaklines=true,
}



% Title page (please fill in)___________________________________________________
\title{Reproducible benchmarking\\of mobile robots}


\studentA{Luzian Johannes Bieri}
\ethidA{17-925-058}
\semesterA{6}
\emailA{luzibier@student.ethz.ch}

%\studentB{Second Student}
%\ethidB{12-345-678}
%\semesterB{9}
%\emailB{second@student.ethz.ch}

\supervision{Dr. Jacopo Tani\\ Prof. Dr. Emilio Frazzoli}
\date{June 2020}

\identification{IDSC-proj-bt-bieri} 		% Project identifier

\infopage
\declaration

% Begin document________________________________________________________________
\begin{document}

\maketitle 							% Create title page


% Preamble______________________________________________________________________

\pagenumbering{roman} 				% Begin roman page numbering (i,ii,...)

\input{chapters/preamble}

% Chapters______________________________________________________________________

\pagestyle{fancy}               	% Fancy headings
\pagenumbering{arabic}				% Begin arabic page numbering (1,2,...)

\input{chapters/introduction}
\cleardoublepage
\input{chapters/preliminaries}
\cleardoublepage
\input{chapters/problem_formulation}
\cleardoublepage
\input{chapters/approach}
\cleardoublepage
\input{chapters/implementation}
\cleardoublepage
\input{chapters/results}
\cleardoublepage
\input{chapters/discussion}
\cleardoublepage
\input{chapters/further_improvements}
\cleardoublepage
\input{chapters/acknowledgements}
\cleardoublepage

% Appendix______________________________________________________________________
\appendix
\input{chapters/appendix}


% Bibliography__________________________________________________________________
% Literature (Additional references can be added to the .bib-file manually, or by using, for example, the free application JabRef). Compile in the following order: latex -bibtex -latex -latex

\bibliographystyle{plain}
\bibliography{bibliography}

\end{document}
